SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002567: High Resource usage CPU - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002567Endian FirewallOther Servicespublic2009-12-18 18:282010-11-22 12:06
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3 
Target Version2.3.1Fixed in Version2.3.1 
Summary0002567: High Resource usage CPU
Description** Logsurfer = High CPU usage (waste of resources)

root@fw-core01:/etc/syslog # ps aux | grep logsurfer
1007 954 2.4 0.0 1552 620 ? S Oct26 574:57 /usr/bin/logsurfer -c /etc/logsurfer/logsurfer.conf -d /var/lib/logsurfer/logsurfer.dump -f -e -p /var/run/logsurfer/logsurfer.pid /dev/logsurfer
root 19761 0.0 0.0 2880 680 pts/2 R+ 11:38 0:00 grep logsurfer

As you can see logsurfer is the new number 1 CPU eater, on a mercury it eats at least 2-5% CPU (that would turn into 5%-15% CPU on a Mini), even if the system has a low load. This is definitely a bottle neck.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0002695closed logsurfer produces high cpu load 

-  Notes
(0003587)
peter-endian (administrator)
2009-12-18 18:30

syslog-ng should pre-sort log messages:

restartsyslog should parse necessary facility/process/priority information from all logsurfer rules and pass only that log lines to logsurfer for which logsurfer has rules for.

test first if this would notificably reduce the ressources usage

- Issue History
Date Modified Username Field Change
2009-12-18 18:28 peter-endian New Issue
2009-12-18 18:28 peter-endian Status new => assigned
2009-12-18 18:28 peter-endian Assigned To => peter-endian
2009-12-18 18:28 peter-endian Issue generated from: 0002402
2009-12-18 18:30 peter-endian Note Added: 0003587
2010-02-02 15:19 peter-endian Status assigned => resolved
2010-02-02 15:19 peter-endian Fixed in Version => 2.3.1
2010-02-02 15:19 peter-endian Resolution open => fixed
2010-02-18 10:44 peter-endian View Status private => public
2010-02-18 10:45 peter-endian Relationship added has duplicate 0002695
2010-11-22 12:06 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker